from uuid import uuid4
from pytils.translit import slugify


def unique_slugify(instance, slug, slug_field):
    model = instance.__class__
    unique_slug = slug_field
    if not slug_field:
        unique_slug = slugify(slug)
    elif model.objects.filter(slug=slug_field).exclude(id=instance.id).exists():
        unique_slug = f'{slugify(slug)}-{uuid4().hex[:8]}'
    return unique_slug
